package com.hzya.frame;

import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.plugin.zjmaterielsynchronizationevent.service.IZjMaterielSynchronizationEventService;
import com.hzya.frame.util.AESUtil;
import com.hzya.frame.web.entity.BaseResult;
import org.apache.http.HttpEntity;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;

/**
 * @ClassName dsasas
 * @Description
 * @Author llg
 * Date 2023/7/16 8:18 上午
 */
//@RunWith(SpringRunner.class)
//@SpringBootTest(classes = {WebappApplication.class})
public class temButtom {

    @Test
    public void test01() {
        String regex = "[\uFF00-\uFF5D\uFF5F-\uFFEF]";
        // 编译正则表达式
        Pattern pattern = Pattern.compile(regex);
        if(pattern.matcher("测试-32位,RL78,128KB,12KB,1.6-5.5V,-40 ～85°C,民用,LQFP-80;R5F100MGAFA(瑞萨)").find()){
            System.out.println("1231231");

        }
        String a = AESUtil.encrypt("hzya1314");
        System.out.println(a);
        String b = AESUtil.decrypt("62e4295b615a30dbf3b8ee96f41c820b");
        System.out.println(b);
    }


    @Test
    public void test02() {
//	1056162015172640840	-7858803986346327947	3178176833471791293	合同评审-待办测试(bdmanager 2024-10-22 16:45)	7743552636545550897	bdmanager	18058147870	pending	start	success	新增成功!
//	success	更新待办为已办成功！
//	task7803207f54ff047d6008dcce31c2628f	新增成功!
//	2024-10-24	2024-10-24

        String phone ="19357235324";
        String taskid ="task8b0c7ca72439bc9b0c1c89e8866c8275";
        //token
        Map<String, String> headers = new HashMap<>();
        String token ="https://oapi.dingtalk.com/gettoken?appkey=dingxewtjaserj292ggu&appsecret=DuRw6EEEvhGXfr6Q8wN_x4025qKjrffIGCXF9KeCKKIID-LVSsR6_8KWMei6sug1";
        String body = sendGet(token,headers);
        JSONObject tokenobject = JSONObject.parseObject(body);

        //钉钉id
        headers = new HashMap<>();
        //https://oapi.dingtalk.com/user/get_by_mobile?access_token=9abd3996cb103ba48dd8c69fea5473e7&mobile=15700100840
        String ddid ="https://oapi.dingtalk.com/user/get_by_mobile?access_token="+tokenobject.get("access_token")+"&mobile="+phone;
        String ddidbody = sendGet(ddid,headers);
        JSONObject ddidobject = JSONObject.parseObject(ddidbody);

        //人员id
        headers = new HashMap<>();
        //https://oapi.dingtalk.com/user/get?userid=111336474727636213&access_token=3d21a6614fb037a98542a537336e8149
        String userid ="https://oapi.dingtalk.com/user/get?userid="+ddidobject.get("userid")+"&access_token="+tokenobject.get("access_token");
        String useridbody = sendGet(userid,headers);
        JSONObject useridobject = JSONObject.parseObject(useridbody);



        CloseableHttpClient httpClient = HttpClients.createDefault();
        HttpPut httpPut = new HttpPut("https://api.dingtalk.com/v1.0/todo/users/"+useridobject.get("unionid")+"/tasks/"+taskid);
        RequestConfig requestConfig = RequestConfig.custom().setConnectTimeout(35000).setConnectionRequestTimeout(35000).setSocketTimeout(60000).build();
        httpPut.setConfig(requestConfig);
        httpPut.setHeader("Content-type", "application/json");
        httpPut.setHeader("x-acs-dingtalk-access-token", tokenobject.getString("access_token"));
        Map<String, Object> dataMap = new HashMap();
        dataMap.put("done", true);
        CloseableHttpResponse httpResponse = null;

        try {
            httpPut.setEntity(new StringEntity("{\"done\": true}"));
            httpResponse = httpClient.execute(httpPut);
            HttpEntity entity = httpResponse.getEntity();
            String results = EntityUtils.toString(entity);
            System.out.println(results);
        } catch (Exception var15) {
        } finally {
            try {
                httpResponse.close();
                httpClient.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

    }

    private String sendGet(String url, Map<String, String> headers) {
        HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();
        // HttpClient
        CloseableHttpClient closeableHttpClient = httpClientBuilder.disableCookieManagement().build();
        HttpGet get = new HttpGet(url.toString());
        CloseableHttpResponse response = null;

        RequestConfig requestConfig = RequestConfig.custom().setConnectTimeout(60000).build();
        get.setConfig(requestConfig);//设置请求参数【超时时间】
        if (headers != null && headers.size() > 0) {
            for (String key : headers.keySet()) {
                get.setHeader(key, headers.get(key));
            }
        }
        StringBuilder body = new StringBuilder();

        try {

            response = closeableHttpClient.execute(get);
            HttpEntity entity = response.getEntity();
             body.append(EntityUtils.toString(entity,"UTF-8"));
        } catch (Exception e) {
            body.append(e.getMessage());
        } finally {
            try {
                // 关闭响应对象
                if (response != null) {
                    response.close();
                }
                // 关闭响应对象
                if (closeableHttpClient != null) {
                    closeableHttpClient.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return body.toString();
    }

    @Resource
    private IZjMaterielSynchronizationEventService zjMaterielSynchronizationEventService;
    @Test
    public void wl() {
        //String str = "{\n" +
        //        "\t\"businessDataStr\": \"{\\\"formId\\\":\\\"-3905612378317895950\\\",\\\"systemRelationRecords\\\":[],\\\"formmain_0274\\\":{\\\"field0029\\\":\\\"1421502140902557985\\\",\\\"id\\\":\\\"-8326794273716286834\\\",\\\"state\\\":0,\\\"modify_member_id\\\":\\\"1421502140902557985\\\",\\\"start_date\\\":\\\"2025-03-17 14:31:41\\\",\\\"field0021\\\":\\\"2025-03-17 00:00:00\\\",\\\"ratifyflag\\\":0,\\\"sort\\\":0,\\\"ratify_member_id\\\":\\\"0\\\",\\\"start_member_id\\\":\\\"1421502140902557985\\\",\\\"approve_member_id\\\":\\\"0\\\",\\\"finishedflag\\\":0,\\\"modify_date\\\":\\\"2025-03-17 14:32:08\\\"},\\\"formson_0275\\\":[{\\\"field0032\\\":\\\"1421502140902557985\\\",\\\"field0033\\\":\\\"-8742017848273975919\\\",\\\"field0012\\\":\\\"1992327618862992707\\\",\\\"formmain_id\\\":\\\"-1172979993326564802\\\",\\\"field0013\\\":\\\"111\\\",\\\"field0038\\\":\\\"6978528383202511421\\\",\\\"field0006\\\":\\\"单面PCB\\\",\\\"field0007\\\":\\\"测试01\\\",\\\"field0008\\\":\\\"-7484130195468762590\\\",\\\"id\\\":\\\"5166621963325295705\\\",\\\"field0042\\\":\\\"2373467247970043294\\\",\\\"field0043\\\":\\\"12001-单面板\\\",\\\"field0022\\\":\\\"-2945823222932814225\\\",\\\"field0044\\\":\\\"1\\\",\\\"field0047\\\":\\\"7938221701373775446\\\",\\\"field0004\\\":\\\"1\\\",\\\"field0048\\\":\\\"-2560084027973350816\\\",\\\"sort\\\":\\\"1\\\",\\\"field0040\\\":\\\"3672918071318364920\\\",\\\"groupsort\\\":1,\\\"field0017\\\":\\\"-3057298014166890271\\\",\\\"field0018\\\":\\\"6370474688113429014\\\"},{\\\"field0032\\\":\\\"1421502140902557985\\\",\\\"field0012\\\":\\\"4344562897656367384\\\",\\\"formmain_id\\\":\\\"-1172979993326564802\\\",\\\"field0013\\\":\\\"111\\\",\\\"field0015\\\":\\\"修改型号、品牌、工艺属性、仓库名称、优选等级、物料属性、吉朗单位\\\",\\\"field0038\\\":\\\"6978528383202511421\\\",\\\"field0006\\\":\\\"双面PCB\\\",\\\"field0007\\\":\\\"测试02\\\",\\\"field0008\\\":\\\"3945246438468764198\\\",\\\"id\\\":\\\"4426722915502541386\\\",\\\"field0042\\\":\\\"5516680321955287005\\\",\\\"field0043\\\":\\\"12003-双面板\\\",\\\"field0022\\\":\\\"-2945823222932814225\\\",\\\"field0044\\\":\\\"1\\\",\\\"field0047\\\":\\\"7938221701373775446\\\",\\\"field0004\\\":\\\"2\\\",\\\"field0048\\\":\\\"-4037029836424066587\\\",\\\"field0005\\\":\\\"12003000100\\\",\\\"sort\\\":\\\"2\\\",\\\"field0040\\\":\\\"-922480551664794340\\\",\\\"groupsort\\\":1,\\\"field0017\\\":\\\"-8754053652716436337\\\",\\\"field0018\\\":\\\"2022562015180964941\\\"},{\\\"field0032\\\":\\\"1421502140902557985\\\",\\\"field0033\\\":\\\"-8742017848273975919\\\",\\\"field0012\\\":\\\"1992327618862992707\\\",\\\"formmain_id\\\":\\\"-1172979993326564802\\\",\\\"field0013\\\":\\\"111\\\",\\\"field0038\\\":\\\"6978528383202511421\\\",\\\"field0006\\\":\\\"多层板\\\",\\\"field0007\\\":\\\"测试03\\\",\\\"field0008\\\":\\\"-7484130195468762590\\\",\\\"id\\\":\\\"6700217056720145510\\\",\\\"field0042\\\":\\\"2373467247970043294\\\",\\\"field0043\\\":\\\"12005-多层板\\\",\\\"field0022\\\":\\\"-2945823222932814225\\\",\\\"field0044\\\":\\\"1\\\",\\\"field0047\\\":\\\"7938221701373775446\\\",\\\"field0004\\\":\\\"3\\\",\\\"field0048\\\":\\\"-2560084027973350816\\\",\\\"field0005\\\":\\\"12005000101\\\",\\\"sort\\\":\\\"3\\\",\\\"field0040\\\":\\\"3672918071318364920\\\",\\\"groupsort\\\":1,\\\"field0017\\\":\\\"-3057298014166890271\\\",\\\"field0018\\\":\\\"-8051278170201109560\\\"},{\\\"field0032\\\":\\\"1421502140902557985\\\",\\\"field0033\\\":\\\"1524430637576637930\\\",\\\"field0034\\\":\\\"1729652777585822779\\\",\\\"formmain_id\\\":\\\"-1172979993326564802\\\",\\\"field0013\\\":\\\"111\\\",\\\"field0015\\\":\\\"修改型号、开发号、产品阶段、客户名、仓库名称\\\",\\\"field0038\\\":\\\"6978528383202511421\\\",\\\"field0006\\\":\\\"遥控板\\\",\\\"field0007\\\":\\\"测试04\\\",\\\"id\\\":\\\"-1866281705366601123\\\",\\\"field0042\\\":\\\"5516680321955287005\\\",\\\"field0043\\\":\\\"62103-工业变频驱动板\\\",\\\"field0044\\\":\\\"6\\\",\\\"field0047\\\":\\\"-7621841196549452634\\\",\\\"field0004\\\":\\\"4\\\",\\\"field0048\\\":\\\"-2560084027973350816\\\",\\\"field0005\\\":\\\"62100000211\\\",\\\"sort\\\":\\\"4\\\",\\\"field0040\\\":\\\"736429965137036948\\\",\\\"groupsort\\\":1,\\\"field0039\\\":\\\"XM-20180038\\\",\\\"field0018\\\":\\\"2022562015180964941\\\"},{\\\"field0032\\\":\\\"1421502140902557985\\\",\\\"field0012\\\":\\\"1992327618862992707\\\",\\\"formmain_id\\\":\\\"-1172979993326564802\\\",\\\"field0013\\\":\\\"111\\\",\\\"field0038\\\":\\\"6978528383202511421\\\",\\\"field0006\\\":\\\"轻触开关\\\",\\\"field0007\\\":\\\"测试05\\\",\\\"field0008\\\":\\\"1901179953174168965\\\",\\\"id\\\":\\\"7404795553887307250\\\",\\\"field0042\\\":\\\"5516680321955287005\\\",\\\"field0043\\\":\\\"12600-轻触开关\\\",\\\"field0022\\\":\\\"-2945823222932814225\\\",\\\"field0044\\\":\\\"1\\\",\\\"field0047\\\":\\\"-7621841196549452634\\\",\\\"field0004\\\":\\\"5\\\",\\\"field0048\\\":\\\"-2560084027973350816\\\",\\\"field0005\\\":\\\"12600000111\\\",\\\"sort\\\":\\\"5\\\",\\\"field0040\\\":\\\"3672918071318364920\\\",\\\"groupsort\\\":1,\\\"field0017\\\":\\\"-8754053652716436337\\\",\\\"field0018\\\":\\\"-534873453094682532\\\"},{\\\"field0032\\\":\\\"1421502140902557985\\\",\\\"field0033\\\":\\\"-8742017848273975919\\\",\\\"field0034\\\":\\\"-7717856120092735875\\\",\\\"formmain_id\\\":\\\"-1172979993326564802\\\",\\\"field0013\\\":\\\"111\\\",\\\"field0038\\\":\\\"6978528383202511421\\\",\\\"field0006\\\":\\\"传感器板\\\",\\\"field0007\\\":\\\"测试06_RI\\\",\\\"id\\\":\\\"-2951518770830882969\\\",\\\"field0042\\\":\\\"5516680321955287005\\\",\\\"field0043\\\":\\\"62915-传感器板\\\",\\\"field0044\\\":\\\"6\\\",\\\"field0047\\\":\\\"-7621841196549452634\\\",\\\"field0004\\\":\\\"6\\\",\\\"field0048\\\":\\\"-2560084027973350816\\\",\\\"sort\\\":\\\"6\\\",\\\"field0040\\\":\\\"-922480551664794340\\\",\\\"groupsort\\\":1,\\\"field0039\\\":\\\"XM-20200034\\\",\\\"field0018\\\":\\\"6370474688113429014\\\"},{\\\"field0032\\\":\\\"1421502140902557985\\\",\\\"field0033\\\":\\\"-8742017848273975919\\\",\\\"field0034\\\":\\\"-7717856120092735875\\\",\\\"formmain_id\\\":\\\"-1172979993326564802\\\",\\\"field0013\\\":\\\"111\\\",\\\"field0038\\\":\\\"6978528383202511421\\\",\\\"field0006\\\":\\\"传感器板\\\",\\\"field0007\\\":\\\"测试06\\\",\\\"id\\\":\\\"1340651432790608074\\\",\\\"field0042\\\":\\\"5516680321955287005\\\",\\\"field0043\\\":\\\"72915-传感器板\\\",\\\"field0044\\\":\\\"7\\\",\\\"field0047\\\":\\\"-7621841196549452634\\\",\\\"field0004\\\":\\\"7\\\",\\\"field0048\\\":\\\"-2560084027973350816\\\",\\\"sort\\\":\\\"7\\\",\\\"field0040\\\":\\\"2317333171132055743\\\",\\\"groupsort\\\":1,\\\"field0039\\\":\\\"XM-20200034\\\",\\\"field0018\\\":\\\"6370474688113429014\\\"}],\\\"relationRecords\\\":[{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0043\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"5166621963325295705\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9186490075385345640\\\",\\\"toFormId\\\":\\\"-1932967999249168761\\\",\\\"toMasterDataId\\\":\\\"3163007693784369626\\\",\\\"id\\\":\\\"-3977344269764441491\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0043\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"4426722915502541386\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9186490075385345640\\\",\\\"toFormId\\\":\\\"-1932967999249168761\\\",\\\"toMasterDataId\\\":\\\"5448927498492528800\\\",\\\"id\\\":\\\"3574938246926517342\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0043\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"6700217056720145510\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9186490075385345640\\\",\\\"toFormId\\\":\\\"-1932967999249168761\\\",\\\"toMasterDataId\\\":\\\"-768818563401364880\\\",\\\"id\\\":\\\"-8423571161708672740\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0043\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"-1866281705366601123\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9186490075385345640\\\",\\\"toFormId\\\":\\\"-1932967999249168761\\\",\\\"toMasterDataId\\\":\\\"-9215057759836618178\\\",\\\"id\\\":\\\"3664856462452212445\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0039\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"-1866281705366601123\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9115049651476019855\\\",\\\"toFormId\\\":\\\"1384236263744228883\\\",\\\"toMasterDataId\\\":\\\"816438522350684751\\\",\\\"id\\\":\\\"-4632848363322718906\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0043\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"7404795553887307250\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9186490075385345640\\\",\\\"toFormId\\\":\\\"-1932967999249168761\\\",\\\"toMasterDataId\\\":\\\"7941582905197678345\\\",\\\"id\\\":\\\"-6536401734594246184\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0043\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"-2951518770830882969\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9186490075385345640\\\",\\\"toFormId\\\":\\\"-1932967999249168761\\\",\\\"toMasterDataId\\\":\\\"-3706538923009948594\\\",\\\"id\\\":\\\"4066538004526941978\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0039\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"-2951518770830882969\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9115049651476019855\\\",\\\"toFormId\\\":\\\"1384236263744228883\\\",\\\"toMasterDataId\\\":\\\"-7683158415127722983\\\",\\\"id\\\":\\\"-3215076937339025930\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0043\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"1340651432790608074\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9186490075385345640\\\",\\\"toFormId\\\":\\\"-1932967999249168761\\\",\\\"toMasterDataId\\\":\\\"5216419279699984943\\\",\\\"id\\\":\\\"4265259303971143729\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"},{\\\"toSubDataId\\\":\\\"\\\",\\\"formType\\\":\\\"42\\\",\\\"fromFormId\\\":\\\"-3905612378317895950\\\",\\\"fieldName\\\":\\\"field0039\\\",\\\"fromMasterDataId\\\":\\\"-1172979993326564802\\\",\\\"dataInfo\\\":\\\"{\\\\\\\"pcView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"phoneView\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"toVersion\\\\\\\":\\\\\\\"default_form\\\\\\\"}\\\",\\\"fromSubDataId\\\":\\\"1340651432790608074\\\",\\\"type\\\":\\\"1\\\",\\\"viewThrough\\\":\\\"0\\\",\\\"relationShipId\\\":\\\"-9115049651476019855\\\",\\\"toFormId\\\":\\\"1384236263744228883\\\",\\\"toMasterDataId\\\":\\\"-7683158415127722983\\\",\\\"id\\\":\\\"5954828029495822484\\\",\\\"memberId\\\":\\\"1421502140902557985\\\"}]}\",\n" +
        //        "\t\"formApp\": \"5784297048514708594\",\n" +
        //        "\t\"summaryId\": \"-2256569363321240680\",\n" +
        //        "\t\"currentActivityId\": \"start\",\n" +
        //        "\t\"eventType\": \"onProcessFinished\",\n" +
        //        "\t\"id\": \"6178499685666669290\",\n" +
        //        "\t\"affairId\": \"-1\"\n" +
        //        "\n" +
        //        "}";
        //JSONObject jsonStr = new JSONObject();
        //jsonStr.put("jsonStr",str);
        //zjMaterielSynchronizationEventService.materielSynchronization(jsonStr);
        String as ="12400000201";
        as = as.substring(6,9);
        System.out.println(as);
    }

}
